<div id="CategoryDetails">
    <div class="text-center mt-5" v-if="this.stores === null">
        <b-spinner type="grow" variant="primary"/>
    </div>

    <div class="mt-4" v-if="this.categoryName">
        <h1 class="text-center">{{ this.categoryName }}</h1>
    </div>
    <div class="ml-3 ml-sm-4 ml-md-5 ml-lg-5 pl-lg-4 ml-xl-5 pl-xl-5 position-absolute" style="margin-top: -4em">
        <div class="back-button hover-shadow" @click="backToHome">
            <b-icon class="h1" icon="arrow-left-short" style="color: white"/>
        </div>
    </div>

    <div class="text-center mt-4" v-if="this.stores != null && this.stores.length === 0">
        <h2>Non c'è ancora nessun negozio!</h2>
    </div>

    <b-container class="pt-5" v-if="this.stores !== null && this.stores.length > 0">
        <b-row cols="1" cols-sm="2" cols-md="2" cols-lg="3" cols-xl="4">
            <b-col v-for="(store) in this.stores"> <!-- ADD LOGIC HERE -->
                <shop-card
                        :shop="store"
                />
            </b-col>
        </b-row>
    </b-container>

    <b-modal id="error-modal">
        <span>{{ error }}</span>
    </b-modal>
</div>
